Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ bootscripts/ChangeLog	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -1,2 +1,6 @@
+2024-04-16 Bruce Dubbs <bdubbs@linuxfromscratch.org>
+   * Remove blank output line generated in ifup script when bringing
+	  up wireless interface.
+
 2023-10-04 Pierre Labastie <pierre.labastie@neuf.fr>
    * After the changes done on 2022-03-24, several "halt stop" should
Index: bootscripts/lfs/sbin/ifup
===================================================================
--- bootscripts/lfs/sbin/ifup	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ bootscripts/lfs/sbin/ifup	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -111,5 +111,5 @@
 done
 
-if [ "${SERVICE}" = "wpa" ]; then log_success_msg; fi
+#if [ "${SERVICE}" = "wpa" ]; then log_success_msg; fi
 
 # Create/configure the interface
Index: chapter10/kernel/kernel.version
===================================================================
--- chapter10/kernel/kernel.version	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ chapter10/kernel/kernel.version	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -1,1 +1,1 @@
-6.7.1
+6.8.9
Index: chapter10/kernel/systemd.toml
===================================================================
--- chapter10/kernel/systemd.toml	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ chapter10/kernel/systemd.toml	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -15,5 +15,4 @@
 DEVTMPFS_MOUNT='*'
 DRM=' *M'
-AUDIT=' '
 NET='*'
 INET='*'
@@ -25,4 +24,9 @@
 TMPFS='*'
 TMPFS_POSIX_ACL='*'
+CGROUP_SCHED='* '
+
+[RT_GROUP_SCHED]
+value = ' '
+comment = 'This may cause some systemd features malfunction'
 
 revision='systemd'
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ lfs-latest-git.php	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -16,5 +16,5 @@
 $regex[ 'less'     ] = "/^.*current released version is less-(\d+).*$/";
 $regex[ 'mpfr'     ] = "/^mpfr-([\d\.]+)\.tar.*$/";
-$regex[ 'Python'   ] = "/^.*Latest Python 3.*Python (3[\d\.]+\d).*$/";
+//$regex[ 'Python'   ] = "/^.*Latest Python 3.*Python (3[\d\.]+\d).*$/";
 //$regex[ 'sysvinit' ] = "/^.*sysvinit-([\d\.]+)dsf\.tar.*$/";
 $regex[ 'tzdata'   ] = "/^.*tzdata([\d]+[a-z]).*$/";
@@ -78,4 +78,5 @@
 
   if ( preg_match( "/sourceforge/", $url ) ||
+       preg_match( "/python/",      $url ) ||
        preg_match( "/psmisc/",      $url ) )
   {
@@ -135,4 +136,5 @@
 if ( $package == "libffi"     ) $dirpath = github("libffi/libffi");
 if ( $package == "libxcrypt"  ) $dirpath = github("besser82/libxcrypt");
+if ( $package == "lz"         ) $dirpath = github("lz4/lz4");
 if ( $package == "meson"      ) $dirpath = github("mesonbuild/meson");
 if ( $package == "mpc"        ) $dirpath = "https://ftp.gnu.org/gnu/mpc";
@@ -146,5 +148,5 @@
 if ( $package == "sysvinit"   ) $dirpath = github("slicer69/sysvinit");
 if ( $package == "MarkupSafe" ) $dirpath = "https://pypi.python.org/pypi/MarkupSafe/";
-if ( $package == "Jinja"      ) $dirpath = "https://pypi.python.org/pypi/Jinja2/";
+if ( $package == "jinja"      ) $dirpath = "https://pypi.python.org/pypi/Jinja2/";
 if ( $package == "systemd"    ) $dirpath = github("systemd/systemd");
 //if ( $package == "tcl"        ) $dirpath = "https://sourceforge.net/projects/tcl/files";
@@ -161,51 +163,4 @@
   {
     echo "ftp should not occur\n";
-  /*
-    $dirpath  = substr( $dirpath, 6 );           // Remove ftp://
-    $dirpath  = rtrim ( $dirpath, "/" );         // Trim any trailing slash
-    $position = strpos( $dirpath, "/" );         // Divide at first slash
-    $server   = substr( $dirpath, 0, $position );
-    $path     = substr( $dirpath, $position );
-
-    $conn = ftp_connect( $server );
-    ftp_login( $conn, "anonymous", "" );
-
-    // See if we need special handling
-    if ( isset( $exceptions[ $package ] ) )
-    {
-       $specials = explode( ":", $exceptions[ $package ] );
-
-       foreach ( $specials as $i )
-       {
-          list( $op, $regexp ) = explode( "=", $i );
-
-          switch ($op)
-          {
-            case "UPDIR":
-              // Remove last dir from $path
-              $position = strrpos( $path, "/" );
-              $path = substr( $path, 0, $position );
-
-              // Get dir listing
-              $lines = ftp_rawlist ($conn, $path);
-              $max   = find_max( $lines, $regexp, $regexp );
-              break;
-
-            case "DOWNDIR":
-              // Append found directory
-              $path .= "/$max";
-              break;
-
-            default:
-              echo "Error in specials array for $package\n";
-              return -5;
-              break;
-          }
-       }
-    }
-
-    $lines = ftp_rawlist ($conn, $path);
-    ftp_close( $conn );
-*/
   }
   else // http(s)
@@ -304,14 +259,20 @@
 
   if ( $package == "psmisc" )
-     return find_max( $lines, "/v\d/", "/^.*v([\d\.]+).tar.*$/" );
+     return find_max( $lines, "/v\d/", "/^.*v([\d\.]+)$/" );
 
   if ( $package == "grub" )
      return find_max( $lines, "/grub/", "/^.*grub-([\d\.]+).tar.xz.*$/" );
 
-  if ( $package == "Jinja" )
+  if ( $package == "jinja" )
      return find_max( $lines, "/Jinja/", "/^.*Jinja2 ([\d\.]+).*$/" );
+
+  if ( $package == "lz" )
+     return find_max( $lines, "/name.:/", '/^.*LZ4 v([\d\.]+)".*$/' );
 
   if ( $package == "openssl" )
      return find_max( $lines, "/openssl/", "/^.*openssl-([\d\.p]*\d.?).tar.*$/" );
+
+  if ( $package == "Python" )
+     return find_max( $lines, "/Python 3/", "/^.*Python (3[\d\.]*\d) .*$/" );
 
   if ( $package == "vim" )
@@ -333,5 +294,4 @@
    // Fetech from git and get wget-list
    $current = array();
-   #$lfssvn = "svn://svn.linuxfromscratch.org/LFS/trunk";
    $lfsgit = "https://git.linuxfromscratch.org/lfs.git";
 
@@ -365,5 +325,4 @@
       $file        = rtrim( $file );
       $pkg_pattern = "/(\D*).*/";
-      //$pattern     = "/\D*(\d.*\d)\D*/";
       $pattern     = "/\D*(\d.*\d)\D*/";
 
Index: packages.ent
===================================================================
--- packages.ent	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ packages.ent	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -105,13 +105,13 @@
 <!ENTITY check-fin-sbu "0.1 SBU (about 1.6 SBU with tests)">
 
-<!ENTITY coreutils-version "9.4">
-<!ENTITY coreutils-size "5,840 KB">
+<!ENTITY coreutils-version "9.5">
+<!ENTITY coreutils-size "5,867 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "459e9546074db2834eefe5421f250025">
+<!ENTITY coreutils-md5 "e99adfa059a63db3503cc71f3d151e31">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-tmp-du "173 MB">
 <!ENTITY coreutils-tmp-sbu "0.3 SBU">
 <!ENTITY coreutils-fin-du "175 MB">
-<!ENTITY coreutils-fin-sbu "1/0 SBU">
+<!ENTITY coreutils-fin-sbu "1.0 SBU">
 
 <!ENTITY dbus-version "1.14.10">
@@ -141,24 +141,24 @@
 <!ENTITY diffutils-fin-sbu "0.3 SBU">
 
-<!ENTITY e2fsprogs-version "1.47.0">
-<!ENTITY e2fsprogs-size "9,412 KB">
+<!ENTITY e2fsprogs-version "1.47.1">
+<!ENTITY e2fsprogs-size "9,720 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "6b4f18a33873623041857b4963641ee9">
-<!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
+<!ENTITY e2fsprogs-md5 "75e6d1353cbe6d5728a98fb0267206cb">
+<!ENTITY e2fsprogs-home "https://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-fin-du "95 MB">
 <!ENTITY e2fsprogs-fin-sbu "2.4 SBU on a spinning disk, 0.4 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.190"> <!-- libelf -->
-<!ENTITY elfutils-size "8,949 KB">
+<!ENTITY elfutils-version "0.191"> <!-- libelf -->
+<!ENTITY elfutils-size "9,092 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "79ad698e61a052bea79e77df6a08bc4b">
+<!ENTITY elfutils-md5 "636547248fb3fae58ec48030298d3ef7">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
 <!ENTITY elfutils-fin-du "124 MB">
 <!ENTITY elfutils-fin-sbu "0.3 SBU">
 
-<!ENTITY expat-version "2.6.0">
-<!ENTITY expat-size "473 KB">
+<!ENTITY expat-version "2.6.2">
+<!ENTITY expat-size "474 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "bd169cb11f4b9bdfddadf9e88a5c4d4b">
+<!ENTITY expat-md5 "0cb75c8feb842c0794ba89666b762a2d">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-fin-du "13 MB">
@@ -183,8 +183,8 @@
 <!ENTITY file-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY findutils-version "4.9.0">
-<!ENTITY findutils-size "1,999 KB">
+<!ENTITY findutils-version "4.10.0">
+<!ENTITY findutils-size "2,189 KB">
 <!ENTITY findutils-url "&gnu;findutils/findutils-&findutils-version;.tar.xz">
-<!ENTITY findutils-md5 "4a4a547e888a944b2f3af31d789a1137">
+<!ENTITY findutils-md5 "870cfd71c07d37ebe56f9f4aaf4ad872">
 <!ENTITY findutils-home "&gnu-software;findutils/">
 <!ENTITY findutils-tmp-du "42 MB">
@@ -219,8 +219,8 @@
 <!ENTITY gawk-fin-sbu "0.1 SBU">
 
-<!ENTITY gcc-version "13.2.0">
-<!ENTITY gcc-size "85,800 KB">
+<!ENTITY gcc-version "14.1.0">
+<!ENTITY gcc-size "90,104 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-<!ENTITY gcc-md5 "e0e48554cc6e4f261d55ddee9ab69075">
+<!ENTITY gcc-md5 "24195dca80ded5e0551b533f46a4481d">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
 <!ENTITY gcc-tmpp1-du "4.1 GB">
@@ -231,5 +231,5 @@
 <!ENTITY gcc-fin-sbu "42 SBU (with tests)">
 <!ENTITY libquadmath-version "0.0.0">
-<!ENTITY libstdcpp-version   "6.0.32">
+<!ENTITY libstdcpp-version   "6.0.33">
 <!ENTITY libitm-version      "1.0.0">
 <!ENTITY libatomic-version   "1.2.0">
@@ -246,8 +246,8 @@
 <!ENTITY gdbm-fin-sbu "0.1 SBU">
 
-<!ENTITY gettext-version "0.22.4">
-<!ENTITY gettext-size "10,016 KB">
+<!ENTITY gettext-version "0.22.5">
+<!ENTITY gettext-size "10,031 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "2d8507d003ef3ddd1c172707ffa97ed8">
+<!ENTITY gettext-md5 "3ae5580599d84be93e6213930facb2db">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "306 MB">
@@ -320,8 +320,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20240125">
-<!ENTITY iana-etc-size "589 KB">
+<!ENTITY iana-etc-version "20240607">
+<!ENTITY iana-etc-size "590 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "aed66d04de615d76c70890233081e584">
+<!ENTITY iana-etc-md5 "924a0799dc0342ce82dc4fc95c0f1a1e">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -344,8 +344,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "6.7.0">
-<!ENTITY iproute2-size "900 KB">
+<!ENTITY iproute2-version "6.9.0">
+<!ENTITY iproute2-size "897 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "35d8277d1469596b7edc07a51470a033">
+<!ENTITY iproute2-md5 "0ca5c21a5a42157fbb88b39791963364">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "17 MB">
@@ -354,8 +354,8 @@
 <!ENTITY iproute2-tmp-sbu "less than 0.1 SBU">
 
-<!ENTITY jinja2-version "3.1.3">
-<!ENTITY jinja2-size "264 KB">
-<!ENTITY jinja2-url "&pypi-src;/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
-<!ENTITY jinja2-md5 "caf5418c851eac59e70a78d9730d4cea">
+<!ENTITY jinja2-version "3.1.4">
+<!ENTITY jinja2-size "235 KB">
+<!ENTITY jinja2-url "&pypi-src;/J/Jinja2/jinja2-&jinja2-version;.tar.gz">
+<!ENTITY jinja2-md5 "02ca9a6364c92e83d14b037bef4732bc">
 <!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.1.x/">
 <!ENTITY jinja2-fin-du "3.2 MB">
@@ -370,8 +370,8 @@
 <!ENTITY kbd-fin-sbu "0.1 SBU">
 
-<!ENTITY kmod-version "31">
-<!ENTITY kmod-size "558 KB">
+<!ENTITY kmod-version "32">
+<!ENTITY kmod-size "500 KB">
 <!ENTITY kmod-url "&kernel;linux/utils/kernel/kmod/kmod-&kmod-version;.tar.xz">
-<!ENTITY kmod-md5 "6165867e1836d51795a11ea4762ff66a">
+<!ENTITY kmod-md5 "1046fda48766fae905f83150d12eec78">
 <!ENTITY kmod-home "https://github.com/kmod-project/kmod">
 <!ENTITY kmod-fin-du "12 MB">
@@ -386,5 +386,5 @@
 <!ENTITY less-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20230728">      <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20240416">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
@@ -394,16 +394,16 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.69">
-<!ENTITY libcap-size "185 KB">
+<!ENTITY libcap-version "2.70">
+<!ENTITY libcap-size "187 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "4667bacb837f9ac4adb4a1a0266f4b65">
+<!ENTITY libcap-md5 "df0e20c6eeca849347b87d5d6a8870c0">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "2.9 MB">
 <!ENTITY libcap-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY libffi-version "3.4.4">
-<!ENTITY libffi-size "1,331 KB">
+<!ENTITY libffi-version "3.4.6">
+<!ENTITY libffi-size "1,360 KB">
 <!ENTITY libffi-url "https://github.com/libffi/libffi/releases/download/v&libffi-version;/libffi-&libffi-version;.tar.gz">
-<!ENTITY libffi-md5 "0da1a5ed7786ac12dcbaf0d499d8a049">
+<!ENTITY libffi-md5 "b9cac6c5997dca2b3787a59ede34e0eb">
 <!ENTITY libffi-home "https://sourceware.org/libffi/">
 <!ENTITY libffi-fin-du "11 MB">
@@ -435,11 +435,11 @@
 
 <!ENTITY linux-major-version "6">
-<!ENTITY linux-minor-version "7">
+<!ENTITY linux-minor-version "9">
 <!ENTITY linux-patch-version "4">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "138,130 KB">
+<!ENTITY linux-size "140,683 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "370e1b6155ae63133380e421146619e0">
+<!ENTITY linux-md5 "b4d1dd34887178ad0b90973f779e238b">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
@@ -459,4 +459,12 @@
 <!ENTITY linux-headers-tmp-sbu "less than 0.1 SBU">
 
+<!ENTITY lz4-version "1.9.4">
+<!ENTITY lz4-size "348 KB">
+<!ENTITY lz4-url "&github;/lz4/lz4/releases/download/v&lz4-version;/lz4-&lz4-version;.tar.gz">
+<!ENTITY lz4-md5 "e9286adb64040071c5e23498bf753261">
+<!ENTITY lz4-home "https://lz4.org/">
+<!ENTITY lz4-fin-du "83 MB">
+<!ENTITY lz4-fin-sbu "0.1 SBU">
+
 <!ENTITY m4-version "1.4.19">
 <!ENTITY m4-size "1,617 KB">
@@ -479,16 +487,16 @@
 <!ENTITY make-fin-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.12.0">
-<!ENTITY man-db-size "1,941 KB">
+<!ENTITY man-db-version "2.12.1">
+<!ENTITY man-db-size "1,994 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "67e0052fa200901b314fad7b68c9db27">
+<!ENTITY man-db-md5 "7b044e5020aab89db41ac7ee59d6d84a">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-fin-du "41 MB">
 <!ENTITY man-db-fin-sbu "0.2 SBU">
 
-<!ENTITY man-pages-version "6.06">
-<!ENTITY man-pages-size "2,116 KB">
+<!ENTITY man-pages-version "6.8">
+<!ENTITY man-pages-size "1,809 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "26b39e38248144156d437e1e10cb20bf">
+<!ENTITY man-pages-md5 "b4bbf3d7ba22877eeec4916168b40268">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-fin-du "33 MB">
@@ -503,8 +511,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "1.3.2">
-<!ENTITY meson-size "2,172 KB">
+<!ENTITY meson-version "1.4.1">
+<!ENTITY meson-size "2,184 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "2d0ebd3a24249617b1c4d30026380cf8">
+<!ENTITY meson-md5 "543a78b55b2d162135e75623b85a59c6">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "42 MB">
@@ -527,29 +535,26 @@
 <!ENTITY mpfr-fin-sbu "0.3 SBU">
 
-<!ENTITY ncurses-release "6.4">
-<!ENTITY ncurses-version "&ncurses-release;-20230520">
+<!ENTITY ncurses-version "6.5">
 <!ENTITY ncurses-size "2,156 KB">
-<!-- switch back to invisible-mirror.net for 6.5 -->
-<!--ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz"-->
-<!ENTITY ncurses-url "&anduin-sources;/ncurses-&ncurses-version;.tar.xz">
-<!ENTITY ncurses-md5 "c5367e829b6d9f3f97b280bb3e6bfbc3">
+<!ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz">
+<!ENTITY ncurses-md5 "ac2d2629296f04c8537ca706b6977687">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-tmp-du "51 MB">
+<!ENTITY ncurses-tmp-du "3,603 KB">
 <!ENTITY ncurses-tmp-sbu "0.3 SBU">
 <!ENTITY ncurses-fin-du "45 MB">
 <!ENTITY ncurses-fin-sbu "0.2 SBU">
 
-<!ENTITY ninja-version "1.11.1">
-<!ENTITY ninja-size "225 KB">
+<!ENTITY ninja-version "1.12.1">
+<!ENTITY ninja-size "235 KB">
 <!ENTITY ninja-url "&github;/ninja-build/ninja/archive/v&ninja-version;/ninja-&ninja-version;.tar.gz">
-<!ENTITY ninja-md5 "32151c08211d7ca3c1d832064f6939b0">
+<!ENTITY ninja-md5 "6288992b05e593a391599692e2f7e490">
 <!ENTITY ninja-home "https://ninja-build.org/">
 <!ENTITY ninja-fin-du "75 MB">
 <!ENTITY ninja-fin-sbu "0.3 SBU">
 
-<!ENTITY openssl-version "3.2.1">
-<!ENTITY openssl-size "17,318 KB">
+<!ENTITY openssl-version "3.3.1">
+<!ENTITY openssl-size "17,633 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "c239213887804ba00654884918b37441">
+<!ENTITY openssl-md5 "8a4342b399c18f870ca6186299195984">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "805 MB">
@@ -567,11 +572,11 @@
 
 <!ENTITY perl-version-major "5">
-<!ENTITY perl-version-minor "38">
-<!ENTITY perl-version-patch "2">
+<!ENTITY perl-version-minor "40">
+<!ENTITY perl-version-patch "0">
 <!ENTITY perl-version-min "&perl-version-major;.&perl-version-minor;">
 <!ENTITY perl-version "&perl-version-major;.&perl-version-minor;.&perl-version-patch;">
-<!ENTITY perl-size "13,359 KB">
+<!ENTITY perl-size "13,481 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "d3957d75042918a23ec0abac4a2b7e0a">
+<!ENTITY perl-md5 "cfe14ef0709b9687f9c514042e8e1e82">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "280 MB">
@@ -580,8 +585,8 @@
 <!ENTITY perl-fin-sbu "1.5 SBU">
 
-<!ENTITY pkgconf-version "2.1.1">
+<!ENTITY pkgconf-version "2.2.0">
 <!ENTITY pkgconf-size "305 KB">
 <!ENTITY pkgconf-url "https://distfiles.ariadne.space/pkgconf/pkgconf-&pkgconf-version;.tar.xz">
-<!ENTITY pkgconf-md5 "bc29d74c2483197deb9f1f3b414b7918">
+<!ENTITY pkgconf-md5 "00e309a3bf0909030a4fc701389db2b9">
 <!ENTITY pkgconf-home "http://pkgconf.org/">
 <!ENTITY pkgconf-fin-du "4.6 MB">
@@ -592,12 +597,12 @@
 <!ENTITY procps-ng-url "https://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
 <!ENTITY procps-ng-md5 "2f747fc7df8ccf402d03e375c565cf96">
-<!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
+<!ENTITY procps-ng-home "https://gitlab.com/procps-ng/procps/">
 <!ENTITY procps-ng-fin-du "27 MB">
 <!ENTITY procps-ng-fin-sbu "0.1 SBU">
 
-<!ENTITY psmisc-version "23.6">
-<!ENTITY psmisc-size "415 KB">
+<!ENTITY psmisc-version "23.7">
+<!ENTITY psmisc-size "423 KB">
 <!ENTITY psmisc-url "https://sourceforge.net/projects/psmisc/files/psmisc/psmisc-&psmisc-version;.tar.xz">
-<!ENTITY psmisc-md5 "ed3206da1184ce9e82d607dc56c52633">
+<!ENTITY psmisc-md5 "53eae841735189a896d614cba440eb10">
 <!ENTITY psmisc-home "https://gitlab.com/psmisc/psmisc">
 <!ENTITY psmisc-fin-du "6.6 MB">
@@ -607,9 +612,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.12.2">
+<!ENTITY python-version "3.12.4">
 <!ENTITY python-minor "3.12">
-<!ENTITY python-size "20,109 KB">
+<!ENTITY python-size "20,176 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "e7c178b97bf8f7ccd677b94d614f7b3c">
+<!ENTITY python-md5 "d68f25193eec491eb54bc2ea664a05bd">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "598 MB">
@@ -618,6 +623,6 @@
 <!ENTITY python-fin-sbu "1.8 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "8a6310f6288e7f60c3565277ec3b5279">
-<!ENTITY python-docs-size "8,065 KB">
+<!ENTITY python-docs-md5 "cca155c92f53882cf45a69364315640d">
+<!ENTITY python-docs-size "8,258 KB">
 
 <!ENTITY readline-version "8.2">
@@ -640,16 +645,16 @@
 <!ENTITY sed-fin-sbu "0.3 SBU">
 
-<!ENTITY setuptools-version "69.1.0">
-<!ENTITY setuptools-size "2,168 KB">
+<!ENTITY setuptools-version "70.0.0">
+<!ENTITY setuptools-size "2,213 KB">
 <!ENTITY setuptools-url "&pypi-src;/s/setuptools/setuptools-&setuptools-version;.tar.gz">
-<!ENTITY setuptools-md5 "6f6eb780ce12c90d81ce243747ed7ab0">
+<!ENTITY setuptools-md5 "88caf808cae6c9096abf8939f2d074bb">
 <!ENTITY setuptools-home "&pypi-home;/setuptools/">
 <!ENTITY setuptools-fin-du "20 MB">
 <!ENTITY setuptools-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY shadow-version "4.14.5">
-<!ENTITY shadow-size "1,765 KB">
+<!ENTITY shadow-version "4.15.1">
+<!ENTITY shadow-size "1,742 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "452b0e59f08bf618482228ba3732d0ae">
+<!ENTITY shadow-md5 "006b0856abd49b5e7b45b7cb78ca272a">
 <!ENTITY shadow-home "&github;/shadow-maint/shadow/">
 <!ENTITY shadow-fin-du "49 MB">
@@ -664,27 +669,27 @@
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "255">
+<!ENTITY systemd-version  "256">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "14,516 KB">
+<!ENTITY systemd-size     "15,274 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "521cda27409a9edf0370c128fae3e690">
+<!ENTITY systemd-md5      "4796b6eb1e23d809a1f11426d171b065">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-version "255">
-<!ENTITY systemd-man-size "652 KB">
+<!ENTITY systemd-man-version "256">
+<!ENTITY systemd-man-size "675 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-man-version;.tar.xz">
-<!ENTITY systemd-man-md5  "1ebe54d7a80f9abf8f2d14ddfeb2432d">
+<!ENTITY systemd-man-md5  "dc1b3a86479f50740f6591b4a1fb2c2a">
 <!ENTITY systemd-fin-du   "247 MB">
 <!ENTITY systemd-fin-sbu  "0.7 SBU">
 
-<!ENTITY sysvinit-version "3.08">
-<!ENTITY sysvinit-size "263 KB">
+<!ENTITY sysvinit-version "3.09">
+<!ENTITY sysvinit-size "234 KB">
 <!ENTITY sysvinit-url "&github;/slicer69/sysvinit/releases/download/&sysvinit-version;/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "81a05f28d7b67533cfc778fcadea168c">
+<!ENTITY sysvinit-md5 "688074f8642c955469a0b1ecae5c488b">
 <!ENTITY sysvinit-home "&savannah-nongnu;/projects/sysvinit">
-<!ENTITY sysvinit-fin-du "3.5 MB">
+<!ENTITY sysvinit-fin-du "2.5 MB">
 <!ENTITY sysvinit-fin-sbu "less than 0.1 SBU">
 
@@ -699,13 +704,13 @@
 <!ENTITY tar-fin-sbu "0.5 SBU">
 
-<!ENTITY tcl-version "8.6.13">
+<!ENTITY tcl-version "8.6.14">
 <!ENTITY tcl-major-version "8.6">
-<!ENTITY tcl-size "10,581 KB">
+<!ENTITY tcl-size "11,355 KB">
 <!ENTITY tcl-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-src.tar.gz">
-<!ENTITY tcl-md5 "0e4358aade2f5db8a8b6f2f6d9481ec2">
-<!ENTITY tcl-home "http://tcl.sourceforge.net/">
+<!ENTITY tcl-md5 "c30b57c6051be28fa928d09aca82841e">
+<!ENTITY tcl-home "https://tcl.sourceforge.net/">
 <!ENTITY tcl-docs-url "https://downloads.sourceforge.net/tcl/tcl&tcl-version;-html.tar.gz">
-<!ENTITY tcl-docs-md5 "4452f2f6d557f5598cca17b786d6eb68">
-<!ENTITY tcl-docs-size "1,165 KB">
+<!ENTITY tcl-docs-md5 "5467198f8d57c54835bf80b98ffb0170">
+<!ENTITY tcl-docs-size "1,167 KB">
 <!ENTITY tcl-tmp-du "89 MB">
 <!ENTITY tcl-tmp-sbu "2.7 SBU">
@@ -736,9 +741,9 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-minor "2.39">
-<!ENTITY util-linux-version "2.39.3"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "8,327 KB">
+<!ENTITY util-linux-minor "2.40">
+<!ENTITY util-linux-version "2.40.1"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "8,617 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "f3591e6970c017bb4bcd24ae762a98f5">
+<!ENTITY util-linux-md5 "42ca7b92a3d77087de362f43ac29a3df">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
 <!ENTITY util-linux-tmp-du "172 MB">
@@ -750,19 +755,30 @@
 <!ENTITY mount-setsid-sbu "less than 0.1 SBU">
 
-<!ENTITY vim-version "9.1.0041">
+<!ENTITY vim-version "9.1.0478">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim91">
-<!ENTITY vim-size "17,224 KB">
+<!ENTITY vim-size "17,508 KB">
 <!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!-- N.B. LFS 9.0 uses
+     https://github.com/vim/vim/archive/v8.1.1846/vim-8.1.1846.tar.gz
+     and it still works after years, the md5sum of the resulted tarball
+     is unchanged as well.  Thus GitHub download seems stable enough for
+     vim and there's no need to use anduin.
+
+     BTW if we click the "Next" button enough times on
+     https://github.com/vim/vim/tags, we can eventually see the old
+     release.  The "Next" button just sets "after=" in the URL.  For
+     example, https://github.com/vim/vim/tags?after=v8.1.1847 will show
+     us v8.1.1846. -->
 <!--<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-md5 "79dfe62be5d347b1325cbd5ce2a1f9b3">
+<!ENTITY vim-md5 "7d56919d58592c041ab61f45584e6f90">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "236 MB">
 <!ENTITY vim-fin-sbu "2.5 SBU">
 
-<!ENTITY wheel-version "0.42.0">
+<!ENTITY wheel-version "0.43.0">
 <!ENTITY wheel-size "97 KB">
 <!ENTITY wheel-url "&pypi-src;/w/wheel/wheel-&wheel-version;.tar.gz">
-<!ENTITY wheel-md5 "802ad6e5f9336fcb1c76b7593f0cd22d">
+<!ENTITY wheel-md5 "387af15d51367a19d834d6db413547d0">
 <!ENTITY wheel-home "&pypi-home;/wheel/">
 <!ENTITY wheel-fin-du "1.5 MB">
@@ -777,8 +793,8 @@
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.4.6">
-<!ENTITY xz-size "1,645 KB">
-<!ENTITY xz-url "https://github.com/tukaani-project/xz/releases/download/v&xz-version;/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "7ade7bd1181a731328f875bec62a9377">
+<!ENTITY xz-version "5.6.2">
+<!ENTITY xz-size "1,277 KB">
+<!ENTITY xz-url "https://github.com//tukaani-project/xz/releases/download/v&xz-version;/xz-&xz-version;.tar.xz">
+<!ENTITY xz-md5 "bbf73fb28425cebb854328599f85c4cf">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "22 MB">
@@ -799,8 +815,8 @@
 <!ENTITY zlib-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.5.5">
-<!ENTITY zstd-size "2,314 KB">
+<!ENTITY zstd-version "1.5.6">
+<!ENTITY zstd-size "2,351 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "63251602329a106220e0a5ad26ba656f">
+<!ENTITY zstd-md5 "5a473726b3445d0e5d6296afd1ab6854">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-fin-du "77 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ patches.ent	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -11,16 +11,20 @@
 <!ENTITY bzip2-docs-patch-size "1.6 KB">
 
-<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-1.patch">
-<!ENTITY coreutils-i18n-patch-md5 "cca7dc8c73147444e77bc45d210229bb">
-<!ENTITY coreutils-i18n-patch-size "166 KB">
+<!ENTITY coreutils-i18n-patch "coreutils-&coreutils-version;-i18n-2.patch">
+<!ENTITY coreutils-i18n-patch-md5 "58961caf5bbdb02462591fa506c73b6d">
+<!ENTITY coreutils-i18n-patch-size "164 KB">
+
+<!ENTITY expect-gcc14-patch "expect-&expect-version;-gcc14-1.patch">
+<!ENTITY expect-gcc14-patch-md5 "0b8b5ac411d011263ad40b0664c669f0">
+<!ENTITY expect-gcc14-patch-size "7.8 KB">
 
 <!ENTITY glibc-fhs-patch "glibc-&glibc-version;-fhs-1.patch">
 <!ENTITY glibc-fhs-patch-md5 "9a5997c3452909b1769918c759eff8a2">
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
-<!--
-<!ENTITY glibc-upstream-fixes-patch "glibc-&glibc-version;-upstream_fixes-4.patch">
-<!ENTITY glibc-upstream-fixes-patch-md5 "66e843b00688c641c9bdda684db45b43">
-<!ENTITY glibc-upstream-fixes-patch-size "36 KB">
--->
+
+<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_fix-2.patch">
+<!ENTITY glibc-upstream-patch-md5 "e9f8f23746755bf880772cfa59c1896c">
+<!ENTITY glibc-upstream-patch-size "8.0 KB">
+
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
 <!ENTITY kbd-backspace-patch-md5 "f75cca16a38da6caa7d52151f7136895">
@@ -34,6 +38,7 @@
 <!ENTITY sysvinit-consolidated-patch-md5 "17ffccbb8e18c39e8cedc32046f3a475">
 <!ENTITY sysvinit-consolidated-patch-size "2.5 KB">
-
+<!--
 <!ENTITY systemd-upstream-patch "systemd-&systemd-version;-upstream_fixes-1.patch">
 <!ENTITY systemd-upstream-patch-md5 "8d9c1014445c463cf7c24c162b1e0686">
 <!ENTITY systemd-upstream-patch-size "7.2 KB">
+-->
Index: stylesheets/lfs-xsl/nochunks.xsl
===================================================================
--- stylesheets/lfs-xsl/nochunks.xsl	(revision fe48a03f94508f6d804cfb3a6c122b861901045a)
+++ stylesheets/lfs-xsl/nochunks.xsl	(revision e4b4c5a0b1ae2aa23095d957e7d63ca37c77b5eb)
@@ -124,5 +124,5 @@
 }
 
-.book h1, .book .authorgroup, .book .copyright, .book .legalnotice .revhistory {
+/*.book h1,*/ .book .authorgroup, .book .copyright, .book .legalnotice .revhistory {
   background: #f5f6f7;
   margin: 0px auto;
@@ -189,4 +189,8 @@
   margin: 0;
   padding: 0.4em;
+  background: #f5f6f7;
+  border-top: .2em solid #dbddec;
+  border-bottom: .2em solid #dbddec;
+  text-align: center;
 }
 
@@ -199,5 +203,5 @@
 }
 
-.preface h2, .part h1, .chapter h2, .appendix h2, .index h1, .sect1 h2 {
+.preface h2, .part h1, .chapter h2, .appendix h2, .index h1, .sect1 h2, .part h2 {
   background: #f5f6f7;
   border-top: .2em solid #dbddec;
